<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@10041D=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@100555=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@1012D7=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>See the Dip Switch Menu to enable an alternate Invincibility PL1 cheat. But the cheat is better as the dipswitch causes a game crash when PL2 is selected.</comment>
    <script state="run">
      <action>maincpu.pb@1012D5=03</action>
    </script>
  </cheat>

  <cheat desc="Maximum Main Weapon Power PL1"> <comment>To be used before game starts</comment>
    <script state="run">
      <action>maincpu.pb@1012DF=03</action>
    </script>
  </cheat>

  <cheat desc="Maximum Extra Weapon Power PL1">
    <script state="run">
      <action>maincpu.pb@1012D9=02</action>
    </script>
  </cheat>

  <cheat desc="Select Extra Weapon PL1"> <comment>Get an extra weapon first</comment>
    <parameter>
      <item value="0x01">Front</item>
      <item value="0x02">Homing</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1012DB=param|(maincpu.pb@1012DB BAND ~03)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@100557=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@1013D7=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@1013D5=03</action>
    </script>
  </cheat>

  <cheat desc="Maximum Main Weapon Power PL2"> <comment>To be used before game starts</comment>
    <script state="run">
      <action>maincpu.pb@1013DF=03</action>
    </script>
  </cheat>

  <cheat desc="Maximum Extra Weapon Power PL2">
    <script state="run">
      <action>maincpu.pb@1013D9=02</action>
    </script>
  </cheat>

  <cheat desc="Select Extra Weapon PL2"> <comment>Get an extra weapon first</comment>
    <parameter>
      <item value="0x01">Front</item>
      <item value="0x02">Homing</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1013DB=param|(maincpu.pb@1013DB BAND ~03)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
